STRUCT ACCUMULATO(3)

NAME
boost::accumulators::accumulator_base

SYNOPSIS

// In header: <boost/accumulators/framework/accumulator_base.hpp>
struct accumulator_base {
  // types
  typedef mpl::false_ is_droppable;
  // public member functions
  unspecified operator()(dont_care);
  unspecified add_ref(dont_care);
  unspecified drop(dont_care);
  unspecified on_drop(dont_care);
};

DESCRIPTION

  accumulator_base public member functions

    1.

    unspecified operator()(dont_care);

    2.

    unspecified add_ref(dont_care);

    3.

    unspecified drop(dont_care);

    4.

    unspecified on_drop(dont_care);